Health check
Returns service health and build metadata.
GET/
Public: this route takes no API key.
Responses
-
200Service is healthy-
status·string· required · alwaysokHealth status.
-
timestamp·string· required · formatdate-time· example2025-01-01T00:00:00.000ZHealth check timestamp.
-
version·string· required · example0.1.0Service version.
-
environment·string· required · exampleproductionRuntime environment.
-
releaseChannel·string· required · one ofexperimental,beta,stable· exampleexperimentalRelease channel: which modules this deployment runs.
-
Example request
curl 'https://api.solana.com/health'Example responses
{
"status": "ok",
"timestamp": "2025-01-01T00:00:00.000Z",
"version": "0.1.0",
"environment": "production",
"releaseChannel": "experimental"
}Is this page helpful?